Start sandbox bills verification
curl --request POST \
--url https://platform.spritz.finance/v1/sandbox/bills/start_verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activationId": "<string>"
}
'import requests
url = "https://platform.spritz.finance/v1/sandbox/bills/start_verification"
payload = { "activationId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({activationId: '<string>'})
};
fetch('https://platform.spritz.finance/v1/sandbox/bills/start_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activationId": "<string>",
"verification": {
"challenge": {
"questions": [
{
"id": "<string>",
"prompt": "<string>",
"options": [
{
"id": "<string>",
"text": "<string>"
}
]
}
]
}
},
"liabilitiesSynced": 123,
"syncedAt": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}Sandbox
Start sandbox bills verification
Continues a sandbox bills activation flow into the fallback verification step.
POST
/
v1
/
sandbox
/
bills
/
start_verification
Start sandbox bills verification
Authorizations
bearerAuthintegratorJwthmacAuth & integratorKey & timestamp
Cognito JWT token for regular user authentication
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum string length:
1⌘I